]> git.donarmstrong.com Git - dak.git/blobdiff - config/debian/cron.unchecked
Run clean-suites after processing policy queues
[dak.git] / config / debian / cron.unchecked
index cf9cd6e18e7e6e89ef1eb59c16822d06e01588e8..34571185fa69f0fb2d85ef6b303872c9166202b8 100755 (executable)
 
 # exit on errors
 set -e
+set -o pipefail
 # make sure to only use defined variables
 set -u
+# ERR traps should be inherited from functions too. (And command
+# substitutions and subshells and whatnot, but for us the functions is
+# the important part here)
+set -E
 
 # import the general variable set.
-export SCRIPTVARS=/srv/ftp.debian.org/dak/config/debian/vars
+export SCRIPTVARS=/srv/ftp-master.debian.org/dak/config/debian/vars
 . $SCRIPTVARS
 
 LOCKDAILY=""
 LOCKFILE="$lockdir/unchecked.lock"
 NOTICE="$lockdir/daily.lock"
+LOCK_BUILDD="$lockdir/buildd.lock"
+
+# our name
+PROGRAM="unchecked"
 
 if [ -e $NOTICE ]; then
     exit 0;
@@ -51,35 +60,61 @@ cleanup() {
 function do_buildd () {
     if lockfile -r3 $NOTICE; then
         LOCKDAILY="YES"
-        psql projectb -A -t -q -c "SELECT filename FROM queue_build WHERE queue = 0 AND suite = 5 AND in_queue = true AND filename ~ 'd(sc|eb)$'" > $dbdir/dists/unstable_accepted.list
         cd $overridedir
         dak make-overrides &>/dev/null
-        rm -f override.sid.all3 override.sid.all3.src
+        rm -f override.sid.all3 override.sid.all3.src override.squeeze-backports.all3 override.squeeze-backports.all3.src
         for i in main contrib non-free main.debian-installer; do
             cat override.sid.$i >> override.sid.all3
+            cat override.squeeze-backports.$i >> override.squeeze-backports.all3
             if [ "$i" != "main.debian-installer" ]; then
                 cat override.sid.$i.src >> override.sid.all3.src
+                cat override.squeeze-backports.$i.src >> override.squeeze-backports.all3.src
             fi
         done
         make_buildd_dir
-
-        . $configdir/cron.buildd
+        wbtrigger
     fi
 }
 
+function do_dists () {
+    #cd $configdir
+    #dak generate-filelist -s unstable,experimental -i
+    dak generate-packages-sources2 -s unstable experimental >/dev/null
+}
+
 ########################################################################
 # the actual unchecked functions follow                                #
 ########################################################################
 
-acceptnew
+# And use one locale, no matter what the caller has set
+export LANG=C
+export LC_ALL=C
 
 # only run one cron.unchecked
-lockfile -r3 $LOCKFILE || exit 0
+if ! lockfile -r8 $LOCKFILE; then
+    echo "aborting cron.unchecked because $LOCKFILE has already been locked"
+    exit 0
+fi
 trap cleanup 0
 
+
+pg_timestamp preunchecked >/dev/null
+
+# Process policy queues
+punew stable-new
+opunew oldstable-new
+backports_policy
+dak clean-suites -a backports-policy,policy
+
+# Finally deal with unchecked
 do_unchecked
 
 if [ ! -z "$changes" ]; then
     sync_debbugs
     do_buildd
+    #do_dists
 fi
+
+dak contents -l 10000 scan-binary
+dak contents -l 1000 scan-source
+pg_timestamp postunchecked >/dev/null